## helma.framework
Class NotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  helma.framework.NotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class NotFoundException

extends java.lang.RuntimeException

The basic exception class used to tell when certain things go wrong in evaluation of requests.

See Also:
  Serialized Form

Constructor Summary
`NotFoundException(java.lang.String message)` Creates a new NotFoundException object.
`NotFoundException(java.lang.String message, java.lang.Throwable cause)` Creates a new NotFoundException object with a cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotFoundException

    public NotFoundException(java.lang.String message)

  Creates a new NotFoundException object.

  Parameters:
    `message` - ...

### NotFoundException

    public NotFoundException(java.lang.String message,
                             java.lang.Throwable cause)

  Creates a new NotFoundException object with a cause.

  Parameters:
    `message` - the message
    `cause` - the cause

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.